All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters.tree
Class IQUtil

    com.sas.dataselectors.filters.tree.IQUtil

    public class IQUtil

Method Summary
`static int` | `addFilterItemsToBusinessModel(com.sas.iquery.metadata.business.BusinessModel model, com.sas.iquery.metadata.business.FilterItem root)` Adds all FilterItem and CompoundFilter objects from the tree with the given root to the specified BusinessModel.
`static int` | `addFilterItemsToBusinessModel(com.sas.iquery.metadata.business.BusinessModel model, com.sas.iquery.metadata.business.FilterItem root, boolean includeBaseModels)` Adds all FilterItem and CompoundFilter objects from the tree with the given root to the specified BusinessModel.
`static void` | `printTree(com.sas.iquery.metadata.business.FilterItem root)` Prints a text representation of the tree structure to standard out starting from the given root node.

Method Detail

### printTree

    public static void printTree(com.sas.iquery.metadata.business.FilterItem root)

  Prints a text representation of the tree structure to standard out starting from the given root node.

  Parameters:
    `root` - the root node of the sub-tree to display

### addFilterItemsToBusinessModel

    public static int addFilterItemsToBusinessModel(com.sas.iquery.metadata.business.BusinessModel model,
                                                    com.sas.iquery.metadata.business.FilterItem root)
                                             throws com.sas.iquery.metadata.MetadataException

  Adds all FilterItem and CompoundFilter objects from the tree with the given root to the specified BusinessModel. If an item is determined as already being present w/in the model, it is skipped.

  Parameters:
    `model` - the BusinessModel to add items to
    `root` - the root of the tree of objects to add
  Returns:
    the number of objects added to the BusinessModel
  Throws:
    `com.sas.iquery.metadata.MetadataException`

### addFilterItemsToBusinessModel

    public static int addFilterItemsToBusinessModel(com.sas.iquery.metadata.business.BusinessModel model,
                                                    com.sas.iquery.metadata.business.FilterItem root,
                                                    boolean includeBaseModels)
                                             throws com.sas.iquery.metadata.MetadataException

  Adds all FilterItem and CompoundFilter objects from the tree with the given root to the specified BusinessModel. If an item is determined as already being present w/in the model, it is skipped.

  Parameters:
    `model` - the BusinessModel to add items to
    `root` - the root of the tree of objects to add
    `includeBaseModels` - a flag for specifying if base models should be consulted when searching for the existence of an item
  Returns:
    the number of objects added to the BusinessModel
  Throws:
    `com.sas.iquery.metadata.MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.